using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author Omanimi
/// @version 26.09.2023
/// <summary>
/// 
/// </summary>
public class Laskuja
{
    /// <summary>
    /// 
    /// </summary>
    public static void Main()
    {
        int a = 5;
        int b = 4;

        int iso = Suurempi(a, b);
        int pieni = Pienempi(a, b);

        Console.WriteLine("Iso: {0} pieni: {1}", iso, pieni);
    }


    /// <summary>
    /// Palauttaa suuremman arvon kahdesta kokonaisluvusta
    /// </summary>
    /// <param name="luku1">1. luku</param>
    /// <param name="luku2">2. luku</param>
    /// <returns>suuremman luvun arvo</returns>
    /// <example>
    /// <pre name="test">
    ///   Suurempi(2,3) === 3;
    ///   Suurempi(4,1) === 4;
    ///   Suurempi(9,9) === 9;
    /// </pre>
    /// </example>
    public static int Suurempi(int luku1, int luku2)
    {
        if (luku1 > luku2) return luku1;
        return luku2;
    }
    
    /// <summary>
    /// Palauttaa pienemmän arvon kahdesta kokonaisluvusta
    /// </summary>
    /// <param name="luku1">1. luku</param>
    /// <param name="luku2">2. luku</param>
    /// <returns>suuremman luvun arvo</returns>
    /// <example>
    /// <pre name="test">
    ///   Pienempi(2,3) === 2;
    ///   Pienempi(4,1) === 1;
    ///   Pienempi(9,9) === 9;
    /// </pre>
    /// </example>
    public static int Pienempi(int luku1, int luku2)
    {
        int voittaja = luku1;
        if (luku2 < voittaja) voittaja = luku2;
        return voittaja;
    }
}