using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author vesal
/// @version 26.09.2023
/// <summary>
/// Aliohjelmakirjasto kolmoita varten
/// </summary>
public class Kolmioita
{
    /// <summary>
    /// Laskee kolmion alan
    /// </summary>
    /// <param name="kanta">kolmion kanta</param>
    /// <param name="korkeus">kolmion korkeus</param>
    /// <returns>kolmion ala</returns>
    /// <example>
    /// <pre name="test">
    ///     KolmionAla(0,0) ~~~ 0;
    ///     KolmionAla(1,0) ~~~ 0;
    ///     KolmionAla(1,1) ~~~ 0.5;
    ///     KolmionAla(3,5) ~~~ 7.5;
    /// </pre>
    /// </example>
    public static double KolmionAla(double kanta, double korkeus)
    {
        return kanta * korkeus / 2;
    }
    
}